import './main.css'
import { createApp } from 'vue'
import { createPinia } from 'pinia'
import persist from 'pinia-plugin-persistedstate'

import App from './App.vue'
import getFp from './utils/getFp'
import vOutsideClick from './utils/vOutsideClick'
import dayjs from 'dayjs'
import 'dayjs/locale/zh-cn'
dayjs.locale('zh-cn')

const app = createApp(App)

// ! persist 利用 localstorage，请不要在大量数据时使用
// 大量数据（扩张内容，文件），清直接使用 ./db.ts
app.use(createPinia().use(persist))
app.directive('outside-click', vOutsideClick)
getFp().then((fp) => {
  console.info('fp:', fp)
  app.mount('#app')
})
