import {
  type AsyncComponentLoader,
  type Component,
  defineAsyncComponent,
  defineComponent
} from 'vue'
import { OhVueIcon, addIcons } from 'oh-vue-icons'
import { FaSpinner } from 'oh-vue-icons/icons'
addIcons(FaSpinner)
const BasicLoading = defineComponent(() => () => (
  <div class="absolute left-0 top-0 w-full h-full flex justify-center items-center">
    <div class="loading">
      <OhVueIcon name="fa-spinner" scale={2} fill="rgba(0,0,0,0.2)" />
    </div>
  </div>
))

export default function asyncLoader<T extends Component>(
  loader: AsyncComponentLoader<T>,
  loading?: Component
) {
  return defineAsyncComponent({
    loader,
    loadingComponent: loading || BasicLoading
  })
}
